ATMEL: Data Fields

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w

### - h -

- HID_0 : usb_commun_hid.h
- HID_1 : usb_commun_hid.h
- HID_2 : usb_commun_hid.h
- HID_3 : usb_commun_hid.h
- HID_4 : usb_commun_hid.h
- HID_5 : usb_commun_hid.h
- HID_6 : usb_commun_hid.h
- HID_7 : usb_commun_hid.h
- HID_8 : usb_commun_hid.h
- HID_9 : usb_commun_hid.h
- HID_A : usb_commun_hid.h
- HID_B : usb_commun_hid.h
- HID_BACKSLASH : usb_commun_hid.h
- HID_BACKSPACE : usb_commun_hid.h
- HID_BDC : usb_commun_hid.h
- HID_C : usb_commun_hid.h
- HID_CAPS : usb_commun_hid.h
- HID_CLASS : usb_commun_hid.h
- HID_CLASS_DESC_NB_DEFAULT : usb_commun_hid.h
- HID_COMMA : usb_commun_hid.h
- HID_COUNTRY_ARABIC : usb_commun_hid.h
- HID_COUNTRY_BELGIAN : usb_commun_hid.h
- HID_COUNTRY_CANADIAN_BILINGUAL : usb_commun_hid.h
- HID_COUNTRY_CANADIAN_FRENCH : usb_commun_hid.h
- HID_COUNTRY_CZECH_REPUBLIC : usb_commun_hid.h
- HID_COUNTRY_DANISH : usb_commun_hid.h
- HID_COUNTRY_FINNISH : usb_commun_hid.h
- HID_COUNTRY_FRENCH : usb_commun_hid.h
- HID_COUNTRY_GERMAN : usb_commun_hid.h
- HID_COUNTRY_GREEK : usb_commun_hid.h
- HID_COUNTRY_HEBREW : usb_commun_hid.h
- HID_COUNTRY_HUNGARY : usb_commun_hid.h
- HID_COUNTRY_INTERNATIONAL_ISO : usb_commun_hid.h
- HID_COUNTRY_ITALIAN : usb_commun_hid.h
- HID_COUNTRY_JAPAN_KATAKANA : usb_commun_hid.h
- HID_COUNTRY_KOREAN : usb_commun_hid.h
- HID_COUNTRY_LATIN_AMERICAN : usb_commun_hid.h
- HID_COUNTRY_NETHERLANDS_DUTCH : usb_commun_hid.h
- HID_COUNTRY_NORWEGIAN : usb_commun_hid.h
- HID_COUNTRY_PERSIAN_FARSI : usb_commun_hid.h
- HID_COUNTRY_POLAND : usb_commun_hid.h
- HID_COUNTRY_PORTUGUESE : usb_commun_hid.h
- HID_COUNTRY_RUSSIA : usb_commun_hid.h
- HID_COUNTRY_SLOVAKIA : usb_commun_hid.h
- HID_COUNTRY_SPANISH : usb_commun_hid.h
- HID_COUNTRY_SWEDISH : usb_commun_hid.h
- HID_COUNTRY_SWISS_FRENCH : usb_commun_hid.h
- HID_COUNTRY_SWISS_GERMAN : usb_commun_hid.h
- HID_COUNTRY_SWITZERLAND : usb_commun_hid.h
- HID_COUNTRY_TAIWAN : usb_commun_hid.h
- HID_COUNTRY_TURKISH_F : usb_commun_hid.h
- HID_COUNTRY_TURKISH_Q : usb_commun_hid.h
- HID_COUNTRY_UK : usb_commun_hid.h
- HID_COUNTRY_US : usb_commun_hid.h
- HID_COUNTRY_YUGOSLAVIA : usb_commun_hid.h
- HID_D : usb_commun_hid.h
- HID_DELETE : usb_commun_hid.h
- HID_DOT : usb_commun_hid.h
- HID_DOWN : usb_commun_hid.h
- HID_E : usb_commun_hid.h
- HID_END : usb_commun_hid.h
- HID_ENTER : usb_commun_hid.h
- HID_ESCAPE : usb_commun_hid.h
- HID_F : usb_commun_hid.h
- HID_F1 : usb_commun_hid.h
- HID_F10 : usb_commun_hid.h
- HID_F11 : usb_commun_hid.h
- HID_F12 : usb_commun_hid.h
- HID_F2 : usb_commun_hid.h
- HID_F3 : usb_commun_hid.h
- HID_F4 : usb_commun_hid.h
- HID_F5 : usb_commun_hid.h
- HID_F6 : usb_commun_hid.h
- HID_F7 : usb_commun_hid.h
- HID_F8 : usb_commun_hid.h
- HID_F9 : usb_commun_hid.h
- HID_G : usb_commun_hid.h
- HID_GENERIC_DEMO_FULL : config.h
- Hid_get_potentiometer : host_hid_task.h
- Hid_get_temperature : host_hid_task.h
- HID_H : usb_commun_hid.h
- HID_HOME : usb_commun_hid.h
- HID_I : usb_commun_hid.h
- HID_INSERT : usb_commun_hid.h
- HID_J : usb_commun_hid.h
- HID_K : usb_commun_hid.h
- HID_KEYPAD_0 : usb_commun_hid.h
- HID_KEYPAD_1 : usb_commun_hid.h
- HID_KEYPAD_2 : usb_commun_hid.h
- HID_KEYPAD_3 : usb_commun_hid.h
- HID_KEYPAD_4 : usb_commun_hid.h
- HID_KEYPAD_5 : usb_commun_hid.h
- HID_KEYPAD_6 : usb_commun_hid.h
- HID_KEYPAD_7 : usb_commun_hid.h
- HID_KEYPAD_8 : usb_commun_hid.h
- HID_KEYPAD_9 : usb_commun_hid.h
- HID_KEYPAD_AT : usb_commun_hid.h
- HID_KEYPAD_DIVIDE : usb_commun_hid.h
- HID_KEYPAD_ENTER : usb_commun_hid.h
- HID_KEYPAD_MINUS : usb_commun_hid.h
- HID_KEYPAD_MULTIPLY : usb_commun_hid.h
- HID_KEYPAD_NUM_LOCK : usb_commun_hid.h
- HID_KEYPAD_PLUS : usb_commun_hid.h
- HID_L : usb_commun_hid.h
- HID_LEFT : usb_commun_hid.h
- HID_M : usb_commun_hid.h
- HID_MODIFIER_LEFT_ALT : usb_commun_hid.h
- HID_MODIFIER_LEFT_CTRL : usb_commun_hid.h
- HID_MODIFIER_LEFT_GUI : usb_commun_hid.h
- HID_MODIFIER_LEFT_SHIFT : usb_commun_hid.h
- HID_MODIFIER_NONE : usb_commun_hid.h
- HID_MODIFIER_RIGHT_ALT : usb_commun_hid.h
- HID_MODIFIER_RIGHT_CTRL : usb_commun_hid.h
- HID_MODIFIER_RIGHT_GUI : usb_commun_hid.h
- HID_MODIFIER_RIGHT_SHIFT : usb_commun_hid.h
- Hid_mouse_report_click_left : device_mouse_task.c
- Hid_mouse_report_click_middle : device_mouse_task.c
- Hid_mouse_report_click_right : device_mouse_task.c
- Hid_mouse_report_down : device_mouse_task.c
- Hid_mouse_report_left : device_mouse_task.c
- Hid_mouse_report_reset : device_mouse_task.c
- Hid_mouse_report_right : device_mouse_task.c
- Hid_mouse_report_scroll_down : device_mouse_task.c
- Hid_mouse_report_scroll_up : device_mouse_task.c
- Hid_mouse_report_up : device_mouse_task.c
- HID_N : usb_commun_hid.h
- HID_NO_COUNTRY_CODE : usb_commun_hid.h
- HID_O : usb_commun_hid.h
- HID_P : usb_commun_hid.h
- HID_PAGEDOWN : usb_commun_hid.h
- HID_PAGEUP : usb_commun_hid.h
- HID_PAUSE : usb_commun_hid.h
- HID_PLUS : usb_commun_hid.h
- HID_PRINTSCREEN : usb_commun_hid.h
- HID_PROTOCOL_KEYBOARD : usb_commun_hid.h
- HID_PROTOCOL_MOUSE : usb_commun_hid.h
- HID_Q : usb_commun_hid.h
- HID_R : usb_commun_hid.h
- HID_RIGHT : usb_commun_hid.h
- HID_S : usb_commun_hid.h
- HID_SCROLL : usb_commun_hid.h
- Hid_send_enter_dfu : host_hid_task.h
- HID_SLASH : usb_commun_hid.h
- HID_SPACEBAR : usb_commun_hid.h
- HID_SUB_CLASS_BOOT : usb_commun_hid.h
- HID_T : usb_commun_hid.h
- HID_TAB : usb_commun_hid.h
- HID_TILDE : usb_commun_hid.h
- HID_U : usb_commun_hid.h
- HID_UNDERSCORE : usb_commun_hid.h
- HID_UP : usb_commun_hid.h
- HID_V : usb_commun_hid.h
- HID_W : usb_commun_hid.h
- HID_X : usb_commun_hid.h
- HID_Y : usb_commun_hid.h
- HID_Z : usb_commun_hid.h
- HIGH : compiler.h
- HIGH_16_BPB_BytsPerSec : fat.h
- HIGH_16_BPB_FATSz16 : fat.h
- HIGH_16_BPB_FSInfo : fat.h
- HIGH_16_BPB_ResvSecCnt : fat.h
- HIGH_16_BPB_RootEntCnt : fat.h
- HIGH_16_BPB_TotSec16 : fat.h
- HNP_SUPPORT : usb_commun.h
- Host_ack_all_errors : usb_drv.h
- Host_ack_control_in : usb_drv.h
- Host_ack_control_out : usb_drv.h
- Host_ack_device_connection : usb_drv.h
- Host_ack_device_disconnection : usb_drv.h
- Host_ack_down_stream_resume : usb_drv.h
- Host_ack_hwup : usb_drv.h
- Host_ack_in_received : usb_drv.h
- Host_ack_nak_received : usb_drv.h
- Host_ack_out_sent : usb_drv.h
- Host_ack_remote_wakeup : usb_drv.h
- Host_ack_request_resume : usb_host_task.h
- Host_ack_reset : usb_drv.h
- Host_ack_setup : usb_drv.h
- Host_ack_sof : usb_drv.h
- Host_ack_stall : usb_drv.h
- Host_allocate_memory : usb_drv.h
- HOST_AUTO_CFG_ENDPOINT : conf_usb.h
- Host_build_pipe_config0 : usb_drv.h
- Host_build_pipe_config1 : usb_drv.h
- Host_byte_counter : usb_drv.h
- Host_byte_counter_8 : usb_drv.h
- Host_clear_configured : usb_host_task.h
- Host_clear_device_ready : usb_host_task.h
- Host_clear_device_status : usb_host_task.h
- Host_clear_device_supported : usb_host_task.h
- host_clear_endpoint_feature : usb_host_enum.h
- Host_clear_vbus_request : usb_drv.h
- Host_configure_address : usb_drv.h
- host_configure_pipe : usb_drv.h
- Host_continuous_in_mode : usb_drv.h
- HOST_CONTINUOUS_SOF_INTERRUPT : conf_usb.h
- Host_data_length_U16 : usb_drv.h
- Host_data_length_U8 : usb_drv.h
- Host_device_class_not_supported_action : usb_host_task.c , conf_usb.h
- Host_device_connection_action : conf_usb.h , usb_host_task.c
- Host_device_disconnection_action : usb_host_task.c , conf_usb.h
- Host_device_error_action : conf_usb.h , usb_host_task.c
- Host_device_not_supported_action : usb_host_task.c , conf_usb.h
- Host_device_supported_action : conf_usb.h , usb_host_task.c
- Host_disable_device_connection_interrupt : usb_drv.h
- Host_disable_device_disconnection_interrupt : usb_drv.h
- Host_disable_down_stream_resume_interrupt : usb_drv.h
- Host_disable_error_interrupt : usb_drv.h
- Host_disable_hwup_interrupt : usb_drv.h
- Host_disable_nak_interrupt : usb_drv.h
- Host_disable_pipe : usb_drv.h
- Host_disable_receive_interrupt : usb_drv.h
- Host_disable_remote_wakeup_interrupt : usb_drv.h
- Host_disable_reset_interrupt : usb_drv.h
- Host_disable_sof : usb_drv.h
- Host_disable_sof_interrupt : usb_drv.h
- Host_disable_stall_interrupt : usb_drv.h
- Host_disable_transmit_interrupt : usb_drv.h
- Host_enable : usb_drv.h
- Host_enable_device_connection_interrupt : usb_drv.h
- Host_enable_device_disconnection_interrupt : usb_drv.h
- Host_enable_down_stream_resume_interrupt : usb_drv.h
- Host_enable_error_interrupt : usb_drv.h
- Host_enable_hwup_interrupt : usb_drv.h
- Host_enable_nak_interrupt : usb_drv.h
- Host_enable_pipe : usb_drv.h
- Host_enable_receive_interrupt : usb_drv.h
- Host_enable_remote_wakeup_interrupt : usb_drv.h
- Host_enable_reset_interrupt : usb_drv.h
- Host_enable_sof : usb_drv.h
- Host_enable_sof_interrupt : usb_drv.h
- Host_enable_stall_interrupt : usb_drv.h
- Host_enable_transmit_interrupt : usb_drv.h
- HOST_ERROR_RESTART : conf_usb.h
- Host_error_status : usb_drv.h
- HOST_FALSE : usb_host_enum.h
- Host_force_enumeration : usb_host_task.h
- Host_freeze_pipe : usb_drv.h
- host_get_configuration : usb_host_enum.h
- host_get_configuration_descriptor : usb_host_enum.h
- host_get_descriptor_uncomplete : usb_host_enum.h
- host_get_device_descriptor : usb_host_enum.h
- host_get_device_descriptor_uncomplete : usb_host_enum.h
- Host_get_endpoint_number : usb_drv.h
- host_get_hid_repport_descriptor : host_mouse_task.h
- Host_get_in_request_number : usb_drv.h
- Host_get_nb_device : usb_host_enum.h
- Host_get_pipe_interrupt : usb_drv.h
- Host_get_pipe_length : usb_drv.h
- Host_get_pipe_type : usb_drv.h
- Host_get_selected_pipe : usb_drv.h
- host_hid_set_idle : host_mouse_task.h
- Host_hwup_action : usb_host_task.c , conf_usb.h
- Host_in_request_number : usb_drv.h
- Host_is_hwup : usb_drv.h
- Host_is_remote_wakeup : usb_drv.h
- Host_is_reset : usb_drv.h
- Host_is_resume : usb_drv.h
- Host_is_sof : usb_drv.h
- HOST_MS_CBW_DATA_POS : host_mem.c
- host_ms_get_max_lun : usb_host_enum.h
- Host_number_of_busy_bank : usb_drv.h
- Host_read_byte : usb_drv.h
- Host_request_resume : usb_host_task.h
- Host_request_suspend : usb_host_task.h
- Host_reset_pipe : usb_drv.h
- Host_reset_pipe_data_toggle : usb_drv.h
- HOST_SECTOR_SIZE : host_mem.c
- Host_select_device : usb_host_enum.h
- Host_select_pipe : usb_drv.h
- Host_send_control_in : usb_drv.h
- Host_send_control_out : usb_drv.h
- Host_send_in : usb_drv.h
- Host_send_out : usb_drv.h
- Host_send_reset : usb_drv.h
- Host_send_resume : usb_drv.h
- Host_send_setup : usb_drv.h
- host_set_address : usb_host_enum.h
- host_set_configuration : usb_host_enum.h
- Host_set_configured : usb_host_task.h
- Host_set_device_ready : usb_host_task.h
- Host_set_device_supported : usb_host_task.h
- host_set_feature_remote_wakeup : usb_host_enum.h
- host_set_interface : usb_host_enum.h
- Host_set_interrupt_frequency : usb_drv.h
- Host_set_token_in : usb_drv.h
- Host_set_token_out : usb_drv.h
- Host_set_token_setup : usb_drv.h
- Host_sof_action : usb_host_task.c , conf_usb.h
- Host_standard_in_mode : usb_drv.h
- Host_stop_pipe_interrupt : usb_host_task.h
- HOST_STRICT_VID_PID_TABLE : conf_usb.h
- Host_suspend_action : usb_host_task.c , conf_usb.h
- HOST_SYNC_MODE : config.h , host_ms_task.c
- HOST_TRUE : usb_host_enum.h
- Host_unallocate_memory : usb_drv.h
- Host_unfreeze_pipe : usb_drv.h
- Host_vbus_request : usb_drv.h
- Host_write_byte : usb_drv.h
- htonl : compiler.h
- htons : compiler.h
- HUB_CLASS : usb_host_hub.h
- HUB_DEVICE_CONNECT : usb_host_hub.h
- HUB_DEVICE_POWERED : usb_host_hub.h
- HUB_DEVICE_READY : usb_host_hub.h
- HUB_DEVICE_WAIT_RST_1 : usb_host_hub.h
- HUB_DEVICE_WAIT_RST_2 : usb_host_hub.h
- HUB_MAX_NB_PORT : conf_usb.h , usb_host_hub.c
- HUB_PORT_CONNECTION : usb_host_hub.h
- HUB_PORT_DISCONNECT : usb_host_hub.h
- HUB_PORT_RESET : usb_host_hub.h
- Hwb_button_init : stk_525.h